Package com.xebialabs.xlrelease.domain.runner

# Class RemoteJobRunner

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.Configuration
com.xebialabs.xlrelease.domain.runner.JobRunner
com.xebialabs.xlrelease.domain.runner.RemoteJobRunner

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

public class RemoteJobRunner extends JobRunner

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RemoteJobRunner()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `abortJob(long jobId, String executionId)`
  `boolean`
  `available()`
  `void`
  `available_$eq(boolean x$1)`
  `Set<String>`
  `capabilities()`
  `void`
  `capabilities_$eq(Set<String> x$1)`
  `Integer`
  `capacity()`
  `void`
  `capacity_$eq(Integer x$1)`
  `static String`
  `DEFAULT_REMOTE_JOB_RUNNER_CAPABILITY()`
  `void`
  `delete()`
  `boolean`
  `enabled()`
  `void`
  `enabled_$eq(boolean x$1)`
  `boolean`
  `encryptJobData()`
  `void`
  `encryptJobData_$eq(boolean x$1)`
  `Integer`
  `evictionTime()`
  `void`
  `evictionTime_$eq(Integer x$1)`
  `String`
  `execute(RemoteExecution remoteExecution)`
  `Set<String>`
  `getCapabilities()`
  `Integer`
  `getCapacity()`
  `Integer`
  `getEvictionTime()`
  `Integer`
  `getIdleTimeToLive()`
  `Date`
  `getLastActivity()`
  `String`
  `getPublicKey()`
  `String`
  `getRunnerName()`
  `Date`
  `getTokenExpiryDate()`
  `String`
  `getVersion()`
  `Integer`
  `idleTimeToLive()`
  `void`
  `idleTimeToLive_$eq(Integer x$1)`
  `boolean`
  `isAvailable()`
  `boolean`
  `isEnabled()`
  `boolean`
  `isEncryptJobData()`
  `Date`
  `lastActivity()`
  `void`
  `lastActivity_$eq(Date x$1)`
  `String`
  `publicKey()`
  `void`
  `publicKey_$eq(String x$1)`
  `String`
  `runnerName()`
  `void`
  `runnerName_$eq(String x$1)`
  `void`
  `setAvailable(boolean x$1)`
  `void`
  `setCapabilities(Set<String> x$1)`
  `void`
  `setCapacity(Integer x$1)`
  `void`
  `setEnabled(boolean x$1)`
  `void`
  `setEncryptJobData(boolean x$1)`
  `void`
  `setEvictionTime(Integer x$1)`
  `void`
  `setIdleTimeToLive(Integer x$1)`
  `void`
  `setLastActivity(Date x$1)`
  `void`
  `setPublicKey(String x$1)`
  `void`
  `setRunnerName(String x$1)`
  `void`
  `setTokenExpiryDate(Date x$1)`
  `void`
  `setVersion(String x$1)`
  `void`
  `start()`
  `void`
  `stop()`
  `Date`
  `tokenExpiryDate()`
  `void`
  `tokenExpiryDate_$eq(Date x$1)`
  `String`
  `toString()`
  `String`
  `version()`
  `void`
  `version_$eq(String x$1)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.Configuration

  `getTitle, getVariableMapping, hasVariableMapping, setTitle, setVariableMapping`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getFolderId, hasId, setFolderId`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RemoteJobRunner

    public RemoteJobRunner()

- ## Method Details

  - ### DEFAULT_REMOTE_JOB_RUNNER_CAPABILITY

    public static String DEFAULT_REMOTE_JOB_RUNNER_CAPABILITY()

  - ### runnerName

    public String runnerName()

  - ### runnerName_$eq

    public void runnerName_$eq(String x$1)

  - ### version

    public String version()

  - ### version_$eq

    public void version_$eq(String x$1)

  - ### enabled

    public boolean enabled()

  - ### enabled_$eq

    public void enabled_$eq(boolean x$1)

  - ### capabilities

    public Set<String> capabilities()

  - ### capabilities_$eq

    public void capabilities_$eq(Set<String> x$1)

  - ### capacity

    public Integer capacity()
    Specified by:
      `capacity` in class `JobRunner`

  - ### capacity_$eq

    public void capacity_$eq(Integer x$1)

  - ### evictionTime

    public Integer evictionTime()
    Specified by:
      `evictionTime` in class `JobRunner`

  - ### evictionTime_$eq

    public void evictionTime_$eq(Integer x$1)

  - ### encryptJobData

    public boolean encryptJobData()

  - ### encryptJobData_$eq

    public void encryptJobData_$eq(boolean x$1)

  - ### publicKey

    public String publicKey()

  - ### publicKey_$eq

    public void publicKey_$eq(String x$1)

  - ### idleTimeToLive

    public Integer idleTimeToLive()
    Specified by:
      `idleTimeToLive` in class `JobRunner`

  - ### idleTimeToLive_$eq

    public void idleTimeToLive_$eq(Integer x$1)

  - ### available

    public boolean available()

  - ### available_$eq

    public void available_$eq(boolean x$1)

  - ### lastActivity

    public Date lastActivity()

  - ### lastActivity_$eq

    public void lastActivity_$eq(Date x$1)

  - ### tokenExpiryDate

    public Date tokenExpiryDate()

  - ### tokenExpiryDate_$eq

    public void tokenExpiryDate_$eq(Date x$1)

  - ### start

    public void start()
    Specified by:
      `start` in class `JobRunner`

  - ### stop

    public void stop()
    Specified by:
      `stop` in class `JobRunner`

  - ### delete

    public void delete()
    Specified by:
      `delete` in class `JobRunner`

  - ### abortJob

    public void abortJob(long jobId, String executionId)
    Specified by:
      `abortJob` in class `JobRunner`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `BaseConfigurationItem`

  - ### execute

    public String execute(RemoteExecution remoteExecution)
    Specified by:
      `execute` in class `JobRunner`

  - ### getCapabilities

    public Set<String> getCapabilities()
    Specified by:
      `getCapabilities` in class `JobRunner`

  - ### getCapacity

    public Integer getCapacity()

  - ### getEvictionTime

    public Integer getEvictionTime()

  - ### getIdleTimeToLive

    public Integer getIdleTimeToLive()

  - ### getLastActivity

    public Date getLastActivity()

  - ### getPublicKey

    public String getPublicKey()

  - ### getRunnerName

    public String getRunnerName()

  - ### getTokenExpiryDate

    public Date getTokenExpiryDate()

  - ### getVersion

    public String getVersion()

  - ### isAvailable

    public boolean isAvailable()
    Specified by:
      `isAvailable` in class `JobRunner`

  - ### isEnabled

    public boolean isEnabled()
    Specified by:
      `isEnabled` in class `JobRunner`

  - ### isEncryptJobData

    public boolean isEncryptJobData()
    Specified by:
      `isEncryptJobData` in class `JobRunner`

  - ### setAvailable

    public void setAvailable(boolean x$1)

  - ### setCapabilities

    public void setCapabilities(Set<String> x$1)

  - ### setCapacity

    public void setCapacity(Integer x$1)

  - ### setEnabled

    public void setEnabled(boolean x$1)

  - ### setEncryptJobData

    public void setEncryptJobData(boolean x$1)

  - ### setEvictionTime

    public void setEvictionTime(Integer x$1)

  - ### setIdleTimeToLive

    public void setIdleTimeToLive(Integer x$1)

  - ### setLastActivity

    public void setLastActivity(Date x$1)

  - ### setPublicKey

    public void setPublicKey(String x$1)

  - ### setRunnerName

    public void setRunnerName(String x$1)

  - ### setTokenExpiryDate

    public void setTokenExpiryDate(Date x$1)

  - ### setVersion

    public void setVersion(String x$1)